{$mode objfpc}{$r+}{$assertions on}

uses
  Math;

function Reverse(x: Integer): Integer;
var
  t: Integer;
begin
  Result := 0;
  t := x;
  while t > 0 do begin
    Result := Result * 10 + t mod 10;
    t := t div 10;
  end;
end;

var
  x, y, d, yd, g, gg, yh, yl: Integer;

  procedure I; begin x += 1; Write('I'); if x = y then Halt; end;
  procedure R; begin x := Reverse(x); Write('R'); if x = y then Halt; end;

begin
  AssignFile(input, 'input.txt'); Reset(input);
  AssignFile(output, 'output.txt'); Rewrite(output);

  Read(x, y);
  Assert(InRange(x, 1, 1000000000) and InRange(y, 1, 1000000000) and (x <> y));
  yd := Trunc(Log10(y));
  while x > 1 do begin
    while x mod 10 > 0 do I;
    R;
  end;
  for d := 1 to yd do begin
    g := 10 ** ((d + 1) div 2);
    while x mod g < g - 1 do I;
    R;
    g := 10 ** d;
    while x < g do I;
  end;
  gg := 10 ** (yd div 2 + 1);
  yh := Reverse(y div gg);
  yl := y mod gg;
  if yl = 0 then begin
    while x mod g < Reverse(y div gg - 1) do I;
    R;
    while x < y do I;
  end
  else begin
    g := 10 ** (yd div 2 + 1);
    while x mod g < yh do I;
    R;
    while x mod g < yl do I;
  end;
end.
