{$mode objfpc}{$r+}{$h+}
uses
  StrUtils;

function Reverse(x: Integer): Integer;
begin
  Result := 0;
  while x > 0 do begin
    Result := Result * 10 + x mod 10;
    x := x div 10;
  end;
end;

var
  vis: array [1..20000000] of Integer;
  layer: array [0..1, 1..20000000] of Integer;
  cnt: array [0..1] of Integer;
  total: Integer;

procedure Go(x, L, p: Integer);
begin
  if vis[x] > 0 then exit;
  cnt[L] += 1;
  layer[L][cnt[L]] := x;
  vis[x] := p;
  total += 1;
end;

var
  x, y, t, L, step, i: Integer;
  s: String;
begin
  AssignFile(input, 'input.txt'); Reset(input);
  AssignFile(output, 'output.txt'); Rewrite(output);
  Read(x, y);
  vis[x] := x;
  layer[0][1] := x;
  cnt[0] := 1;
  L := 0;
  step := 0;
  while vis[y] = 0 do begin
    {Write(step, ',', cnt[L], ': ');
    for i := 1 to cnt[L] do Write(layer[L][i], ' ');
    Writeln;}
    step += 1;
    for i := 1 to cnt[L] do begin
      t := layer[L][i];
      Go(t + 1, 1 - L, t);
      Go(Reverse(t), 1 - L, t);
    end;
    cnt[L] := 0;
    L := 1 - L;
  end;
  s := '';
  while vis[y] <> y do begin
    if vis[y] = y - 1 then s += 'I' else s += 'R';
    y := vis[y];
  end;
  Writeln(ReverseString(s));
end.
